Bug 201629 - [patch] japanese/alias-fonts: convert to USES=metaport
Summary: [patch] japanese/alias-fonts: convert to USES=metaport
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-07-16 19:38 UTC by Andriy Voskoboinyk
Modified: 2015-08-19 19:48 UTC (History)
1 user (show)

See Also:
pgollucci: maintainer-feedback+


Attachments
Makefile.diff (615 bytes, patch)
2015-07-16 19:38 UTC, Andriy Voskoboinyk
no flags Details | Diff
portlint.log (278 bytes, text/plain)
2015-07-16 19:39 UTC, Andriy Voskoboinyk
no flags Details
poudriere-9.3-i386-before.log (17.00 KB, text/plain)
2015-07-16 19:39 UTC, Andriy Voskoboinyk
no flags Details
poudriere-9.3-i386-after.log (16.85 KB, text/plain)
2015-07-16 19:40 UTC, Andriy Voskoboinyk
no flags Details
A patch for japanese/alias-fonts (32.00 KB, patch)
2015-08-04 13:21 UTC, WATANABE Kazuhiro
no flags Details | Diff
poudriere testport log without my patch (10.1-RELEASE amd64) (16.31 KB, text/x-log)
2015-08-04 13:22 UTC, WATANABE Kazuhiro
no flags Details
poudriere testport log with my patch (10.1-RELEASE amd64) (19.01 KB, text/x-log)
2015-08-04 13:24 UTC, WATANABE Kazuhiro
no flags Details
poudriere testport log with my patch and a patch in [Bug 200063] (10.1-RELEASE amd64) (18.87 KB, text/plain)
2015-08-04 13:39 UTC, WATANABE Kazuhiro
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2015-07-16 19:38:40 UTC
Created attachment 158863 [details]
Makefile.diff
Comment 1 Andriy Voskoboinyk freebsd_committer 2015-07-16 19:39:21 UTC
Created attachment 158864 [details]
portlint.log
Comment 2 Andriy Voskoboinyk freebsd_committer 2015-07-16 19:39:45 UTC
Created attachment 158865 [details]
poudriere-9.3-i386-before.log
Comment 3 Andriy Voskoboinyk freebsd_committer 2015-07-16 19:40:12 UTC
Created attachment 158866 [details]
poudriere-9.3-i386-after.log
Comment 4 Philip M. Gollucci freebsd_committer 2015-07-17 01:07:37 UTC
Take.
Comment 5 WATANABE Kazuhiro 2015-07-23 13:00:53 UTC
Hello.  I'm a maintainer of this port.

Current japanese/alias-fonts has a problem.  This port added additional
entries to existing fonts.alias placed in ${PREFIX}/share/fonts/local/.         
This file was shared by the all other ports that were depended on
japanese/alias-fonts.

But now these ports installs fonts (include fonts.alias) to its own directory
(${FONTSDIR}) under ${PREFIX}/share/fonts/ with USES=fonts.
So ${PREFIX}/share/fonts/local/ is not present anywhere, and
japanese/alias-fonts fails to update fonts.alias.

This is still reported by the Andriy's log (poudriere-9.3-i386-after.log):
| ===>   Registering installation for ja-alias-fonts-1.0_9
| [93i386-default] Installing ja-alias-fonts-1.0_9...
| mv: rename /usr/local/share/fonts/local/fonts.alias to /usr/local/share/fonts/
local/fonts.alias.orig: No such file or directory
| Couldn't rename /usr/local/share/fonts/local/fonts.alias.
| pkg-static: POST-INSTALL script failed

If I create a new directory or file for japanese/alias-fonts to fix the problem,
I cannot use USES=metaport, can I?  It seems to me that it is difficult to use
USES=metaport in this port.

BTW, I have planned to fix the problem, and remove the fonts.alias update
scripts (pkg-install and pkg-deinstall) from this port (like japanese/k10).
It simply installs fonts.alias to ${FONTSDIR} by ${INSTALL_DATA} with
USES=fonts.

New patch and logs are ready.  Philip, do I have to create a new bug report
for new patch, or add a comment to this report with the patch?
Comment 6 Philip M. Gollucci freebsd_committer 2015-07-29 22:55:35 UTC
new patch will be fine.
Comment 7 WATANABE Kazuhiro 2015-08-04 13:21:02 UTC
Created attachment 159537 [details]
A patch for japanese/alias-fonts

OK.  My patch includes following:

(1) Change the install directory from ${PKG_PREFIX}/lib/X11/fonts/local
    (doesn't exist anymore) to ${FONTSDIR} with USES=fonts.

(2) Remove fonts.alias updating scripts (pkg-install and pkg-deinstall).
    Simply install fonts.alias with ${INSTALL_DATA}.

(3) Add pkg-message.in for appropriate fontpath setting.

(4) Bump PORTREVISION.

This patch doesn't use USES=metaport, because it installs fonts.alias
to ${FONTSDIR}.
Comment 8 WATANABE Kazuhiro 2015-08-04 13:22:24 UTC
Created attachment 159538 [details]
poudriere testport log without my patch (10.1-RELEASE amd64)
Comment 9 WATANABE Kazuhiro 2015-08-04 13:24:09 UTC
Created attachment 159539 [details]
poudriere testport log with my patch (10.1-RELEASE amd64)
Comment 10 WATANABE Kazuhiro 2015-08-04 13:39:02 UTC
Created attachment 159540 [details]
poudriere testport log with my patch and a patch in [Bug 200063] (10.1-RELEASE amd64)

Current japanese/font-shinonome which is depended by this port has a problem ([Bug 200063])(*) and still not fixed.

This log is created with my patch and a patch attached in the bug report.

(*) https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=200063
Comment 11 Philip M. Gollucci freebsd_committer 2015-08-17 18:55:18 UTC
maintainer timeout (CQG00620@nifty.ne.jp ; 32 days)
Comment 12 commit-hook freebsd_committer 2015-08-19 19:47:25 UTC
A commit references this bug:

Author: pgollucci
Date: Wed Aug 19 19:47:19 UTC 2015
New revision: 394809
URL: https://svnweb.freebsd.org/changeset/ports/394809

Log:
  japanese/alias-fonts: convert to USES=font

  - remove pkg-{install,deinstall} scripts
  - add pkg-message for how to setup fontpath
  - bump portrevision

  PR:             201629
  Submitted by:   CQG00620@nifty.ne.jp (maintainer)

Changes:
  head/japanese/alias-fonts/Makefile
  head/japanese/alias-fonts/files/
  head/japanese/alias-fonts/files/fonts.alias
  head/japanese/alias-fonts/files/pkg-message.in
  head/japanese/alias-fonts/pkg-deinstall
  head/japanese/alias-fonts/pkg-install